curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v2/tax-codes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"cashDiscountAccount": "<string>",
"generalLedgerAccount": "<string>",
"isAutomatic": true,
"name": "<string>",
"number": 123
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/tax-codes/{id}"
payload = {
"cashDiscountAccount": "<string>",
"generalLedgerAccount": "<string>",
"isAutomatic": True,
"name": "<string>",
"number": 123
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
cashDiscountAccount: '<string>',
generalLedgerAccount: '<string>',
isAutomatic: true,
name: '<string>',
number: 123
})
};
fetch('https://api.jtl-cloud.com/erp/v2/tax-codes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Updates an existing tax code.
Updates an existing tax code.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
Optional, client-generated key for deduplicating repeated write requests. A repeated request with the same key returns the originally recorded result instead of executing the effect again.
1 - 255The tenant ID for the target ERP instance.
Path Parameters
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Body
Request parameters
Updates an existing tax code. - Request
The cash discount account of the tax code
The general ledger account of the tax code
Whether this tax code is automatic
The name of the tax code
The number of the tax code. Can only be changed when the tax code is not referenced.
Response
The tax code has been successfully updated.
Was this page helpful?